import json
import random
import os
import zipfile
import pandas as pd

category_id = {
    'belt': 87,
    'sunglasses': 1034,
    'boot': 131,
    'cowboy_hat': 318,
    'jacket': 588}

def create_submission(df):
    results = []
    for index, row in df.iterrows():
        img_id = row['id']
        file_name = row['file_name']
        # img = PIL.open(os.path.join('image_dir', file_name))
        # here model should produce the predictions, we use dummy output instead
        pred = {'image_id': img_id,
                'category_id': random.choice(list(category_id.values())),
                'bbox': [0, 0, 0, 0],
                'score': random.uniform(0, 1)}
        results.append(pred)
    return results

if __name__ == '__main__':
    df = pd.read_csv('test.csv')
    submission = create_submission(df)
    submission_name = 'answer.json'
    with open(submission_name, 'w') as f:
        json.dump(submission, f)
    # create zip file for submission
    zf = zipfile.ZipFile('sample_answer_final.zip', 'w')
    zf.write(submission_name)
    zf.close()
